Get credits balance
curl --request GET \
--url https://open.skills.video/api/v1/credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://open.skills.video/api/v1/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://open.skills.video/api/v1/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import Foundation
let url = URL(string: "https://open.skills.video/api/v1/credits")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self)){
"permanent": 0,
"subscription": 0,
"subscription_expires_at": "2023-11-07T05:31:56Z",
"available": 0
}{
"error": "INVALID_INPUT",
"code": "INVALID_INPUT",
"message": "Missing request body"
}{
"error": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "Unauthorized"
}{
"error": "WORKSPACE_FORBIDDEN",
"code": "WORKSPACE_FORBIDDEN",
"message": "You do not have access to this workspace."
}{
"error": "NOT_FOUND",
"code": "NOT_FOUND",
"message": "Not Found"
}{
"error": "INVALID_INPUT",
"code": "INVALID_INPUT",
"message": "'prompt' parameter is required"
}Credits
Get credits balance
GET
/
credits
Get credits balance
View current credits: permanent, subscription, and expiry.
Authorizations
API Key for API endpoints
Response
Credits balance
Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Required range:
-9007199254740991 <= x <= 9007199254740991⌘I